This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 811475 - can't control things like input selection and microphone boost
can't control things like input selection and microphone boost
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
21
Unspecified Unspecified
urgent Severity urgent
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-11 04:24 EDT by Karel Volný
Modified: 2015-12-02 11:03 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 21:37:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
all channels in alsamixer (65.17 KB, image/png)
2012-04-11 04:24 EDT, Karel Volný
no flags Details

  None (edit)
Description Karel Volný 2012-04-11 04:24:28 EDT
Created attachment 576701 [details]
all channels in alsamixer

Description of problem:
In kmix, I have only one output and one input control slider.
Compare to the attached screenshot of alsamixer.
Via kmix, I cannot control things like microphone boost.

Version-Release number of selected component (if applicable):
kdemultimedia-kmix-4.8.2-1.fc17.x86_64
Comment 1 Kevin Kofler 2012-04-11 09:38:37 EDT

*** This bug has been marked as a duplicate of bug 811095 ***
Comment 2 Joseph Shraibman 2012-04-11 09:55:39 EDT
Shouldn't kmix be able to control all those sliders?  Isn't that what the pulseaudio module module-device-manager is for?
Comment 3 Kevin Kofler 2012-04-11 12:12:36 EDT
No. PulseAudio intentionally does not expose low-level controls in its API. (Lennart Poettering designed it that way.) Allowing access to them would need another PulseAudio module. Now that Lennart has handed off PulseAudio upstream maintainership to Colin Guthrie (the PulseAudio KDE integration guy), there's some chance an extension for low-level controls could get in, but somebody would have to write it.
Comment 5 Karel Volný 2012-04-17 06:16:57 EDT
(In reply to comment #1)
> 
> *** This bug has been marked as a duplicate of bug 811095 ***

ahem, are you sure?

the inability to choose a channel from a list of available channels is something completely different than unavailability of certain channels & switches

FTR, I am able to choose between various "streams" in the "choose master channel dialogue", so I am NOT seeing bug #811095

(In reply to comment #3)
> No. PulseAudio intentionally does not expose low-level controls in its API.

then it is a bug of PA => reopening & reassigning

> ... but somebody would have to write it.

- and setting top severity, as not being able to control the input has grave effect on VoIP (and not just that)
Comment 6 Fedora End Of Life 2013-07-04 02:38:11 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Karel Volný 2013-07-23 07:14:42 EDT
yep, I still have to go to alsamixer to set up mic for VoIP
Comment 8 Fedora End Of Life 2015-01-09 16:57:22 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Joseph Shraibman 2015-01-10 21:25:11 EST
In fedora 20 the kde mixer lets me adjust my mic level.  My mic just doesn't work, and hasn't for years now, through multiple os and motherboard upgrades.
Comment 10 Karel Volný 2015-01-12 08:08:28 EST
(In reply to Joseph Shraibman from comment #9)
> In fedora 20 the kde mixer lets me adjust my mic level.

lucky you ...

I still don't see any mixing options in the _mixer_
Comment 11 Fedora End Of Life 2015-11-04 10:28:02 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Karel Volný 2015-11-05 09:11:55 EST
(In reply to Fedora End Of Life from comment #11)
> This message is a reminder that Fedora 21 is nearing its end of life.

I wanted to re-test but ... I gave up

audio in Fedora 23 + KDE 5 is a mess, I don't even know how to get rid of the *second* mixer icon that appeared in systray :-(
Comment 13 Rex Dieter 2015-11-05 09:22:13 EST
As far as the second mixer goes, see bug #1274869 and
https://bodhi.fedoraproject.org/updates/FEDORA-2015-a00b170f97
Comment 14 Karel Volný 2015-11-05 09:36:00 EST
(In reply to Rex Dieter from comment #13)
> As far as the second mixer goes, see bug #1274869 and
> https://bodhi.fedoraproject.org/updates/FEDORA-2015-a00b170f97

that's merely a workaround, not a fix

... but it made me to re-test and I see this has been fixed properly meanwhile - going to systray settings, I can now uncheck the audio volume checkbox, making the second icon to disappear

okay, next time I'll try not to give a month or two old info :-)

[sorry for OT]
Comment 15 Fedora End Of Life 2015-12-01 21:37:25 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.